


#ifdef GP2X_MODE

//gp2x buttons codes

#define JOY_UP              (0)
#define JOY_DOWN            (4)
#define JOY_LEFT            (2)
#define JOY_RIGHT           (6)
#define JOY_UPLEFT          (1)
#define JOY_UPRIGHT         (7)
#define JOY_DOWNLEFT        (3)
#define JOY_DOWNRIGHT       (5)

#define JOY_A               (12)
#define JOY_B               (13)
#define JOY_X               (15)
#define JOY_Y               (14)
#define JOY_L               (11)
#define JOY_R               (10)
#define JOY_CLICK           (18)
#define JOY_START           (8)        
#define JOY_SELECT          (9)
#define JOY_VOLUP           (16)
#define JOY_VOLDOWN         (17)

#else

//some keys of the keyboard to emulate gp2x

#define JOY_UPLEFT         79 //SDLK_KP7
#define JOY_UP             80 //SDLK_KP8
#define JOY_UPRIGHT        81 //SDLK_KP9

#define JOY_LEFT           83 //SDLK_KP4
#define JOY_RIGHT          85 //SDLK_KP6

#define JOY_DOWNLEFT       87 //SDLK_KP1
#define JOY_DOWN           88 //SDLK_KP2
#define JOY_DOWNRIGHT      89 //SDLK_KP3

#define JOY_A              38 //SDLK_a
#define JOY_B              56 //SDLK_b
#define JOY_X              53 //SDLK_x
#define JOY_Y              29 //SDLK_y
#define JOY_L              46 //SDLK_l
#define JOY_R              27 //SDLK_r
#define JOY_CLICK          65 //SDLK_SPACE
#define JOY_START          36 //SDLK_RETURN
#define JOY_SELECT         39  //SDLK_s
#define JOY_VOLUP         86     //SDLK_KP_PLUS
#define JOY_VOLDOWN       82    //SDLK_KP_MINUS

#endif

#define JOY_NOEVENT -1

#define DELAY_KEY_FIRST 250
#define DELAY_KEY_REPEAT 80
